%define	emacsver	21.3
%define xemacsver	21.4
%define apelver		10.4-2m
%define limitver	1.14.7-22m
%define	e_sitedir	/usr/share/emacs/site-lisp
%define	xe_sitedir	/usr/lib/xemacs/site-lisp
%define	sitepdir	/usr/lib/xemacs/site-packages
%define	cvsday		20020225

Summary: MU - Message Utilities - for Emacsen
Name: elisp-mu
Version: 8.1
Release: 26m
License: GPL
Group: Applications/Editors
Source: ftp://ftp.jpl.org/pub/elisp/mu/mu-cite-%{version}.tar.gz
Nosource: 0
Patch: mu-%{cvsday}-cvs.patch
Requires: emacsen
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: apel-emacs >= %{apelver}, apel-xemacs >= %{apelver}
BuildPreReq: limit-emacs >= %{limitver}, limit-xemacs >= %{limitver}

%description
  MU stands for "Message Utilities".  It consists of following
  modules:

        mu-cite: a citation utility
          mu-cite.el     --- main module of mu-cite
          mu-bbdb.el     --- mu-cite submodule for BBDB
          mu-register.el --- mu-cite submodule for registration

        latex-math-symbol.el --- translate mathematical symbols of
                                 LaTeX into MULE characters

  It requires two packages APEL 9.20 or later and FLIM 1.12.2 or later.
  Please install them.

%package -n mu-emacs
Group: Applications/Editors
Summary: MU - Message Utilities - for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: apel-emacs >= %{apelver}
Requires: limit-emacs >= %{limitver}
Provides: mu-cite-emacs

%description -n mu-emacs
  MU stands for "Message Utilities".  It consists of following
  modules:

        mu-cite: a citation utility
          mu-cite.el     --- main module of mu-cite
          mu-bbdb.el     --- mu-cite submodule for BBDB
          mu-register.el --- mu-cite submodule for registration

        latex-math-symbol.el --- translate mathematical symbols of
                                 LaTeX into MULE characters

  It requires two packages APEL 9.20 or later and FLIM 1.12.2 or later.
  Please install them.

%package -n mu-xemacs
Group: Applications/Editors
Summary: MU - Message Utilities - for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: apel-xemacs >= %{apelver}
Requires: limit-xemacs >= %{limitver}
Provides: mu-cite-xemacs

%description -n mu-xemacs
  MU stands for "Message Utilities".  It consists of following
  modules:

        mu-cite: a citation utility
          mu-cite.el     --- main module of mu-cite
          mu-bbdb.el     --- mu-cite submodule for BBDB
          mu-register.el --- mu-cite submodule for registration

        latex-math-symbol.el --- translate mathematical symbols of
                                 LaTeX into MULE characters

  It requires two packages APEL 9.20 or later and FLIM 1.12.2 or later.
  Please install them.

%prep
%setup -q -n mu-cite-%{version}
%patch -p1
rm -rf %{buildroot}

%build
make EMACS=emacs \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{e_sitedir}
make EMACS=emacs \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{e_sitedir} \
	install

make clean

make XEMACS=xemacs package
make XEMACS=xemacs PACKAGEDIR=%{buildroot}%{sitepdir} install-package

%install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README.en

%files -n mu-emacs
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/mu

%files -n mu-xemacs
%defattr(-,root,root)
%{_libdir}/xemacs/site-packages/lisp/mu

%changelog
* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.1-26m)
- rebuild against emacs-21.3
- update version apel and limit
- use macro emacsver, xemacsver, apelver, limitver
- use %%{_prefix} macro

* Mon Jan 13 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (8.1-25m)
- Rebuild against elisp-apel-10.4-1m and elisp-limit-1.14.7-21m 

* Mon Dec  9 2002 Kazuhiko <kazuhiko@fdiary.net>
- (8.1-24m)
- Requires: emacsen

* Thu Aug 15 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (8.1-23m)
- Rebuild against elisp-apel-10.3-21m and elisp-limit-1.14.7-19m
- sync with latest CVS (mu-20020225-cvs.patch)
- Remove Obsolete: tag.
- Requires: and BuildPreReq: emacs-21.1 -> 21.2

* Sat Dec 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (8.1-22k)
- sync with latest CVS (mu-20011221-cvs.patch)

* Mon Oct 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (8.1-20k)
- modify Requires tag

* Wed Oct 24 2001 Hidetomo Machi <mcHT@kondara.org>
- (8.1-18k)
- rebuild against emacs-21.1 and xemacs-21.4
- remove %emacsver

* Mon Oct 22 2001 Kazuhiko <kazuhiko@kondara.org>
- (8.1-16k)
- add Provides: tag

* Mon Oct 22 2001 Hidetomo Machi <machi@uranus.ailab.is.tsukuba.ac.jp>
- (eilsp-mu-8.1-12k)
- sync with latest CVS (mu-20010829-cvs-patch)
- change package's name

* Thu May 31 2001 Hidetomo Machi <mcHT@kondara.org>
- (8.1-10k)
- sync with latest CVS (mu-cite-20010523-cvs.patch)
- change Source0 URL

* Fri Nov 10 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- change BuildPreReq & Requires TAG

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (8.1-7k)
- modify specfile (License)
- dir problem

* Mon Feb 28 2000 SAKA Toshihide <saka@yugen.org>
- Released for GNU Emacs 20.6.

* Sun Jan 7 2000 SAKA Toshihide <saka@yugen.org>
- First release.
